/*
 * Copyright (C) 2021-2024  CZ.NIC, z. s. p. o.
 *
 * This file is part of FRED.
 *
 * FRED is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FRED is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FRED.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __READ_INPUT__2917FFF429D1841CCD2B2E40F1842E31
#define __READ_INPUT__2917FFF429D1841CCD2B2E40F1842E31

#include "result_importer/scan_queue.hh"

#include <fstream>
#include <vector>

namespace CdnskeyProcessor {
namespace Test {

struct InvalidInput : public std::runtime_error
{
    using std::runtime_error::runtime_error;
};

ScanQueues read_input(std::ifstream&);

} // namespace CdnskeyProcessor::Test
} // namespace CdnskeyProcessor

#endif
