---
--- Run as postgres user
--- psql -U postgres -f 0000_init_database.sql
---
CREATE ROLE cdnskey_processor_ro;
CREATE ROLE cdnskey_processor_rw;

CREATE DATABASE cdnskey_processor OWNER cdnskey_processor_rw;

CREATE USER cdnskey_processor_view WITH PASSWORD 'password' IN ROLE cdnskey_processor_ro;
CREATE USER cdnskey_processor WITH PASSWORD 'password' IN ROLE cdnskey_processor_rw;

\c cdnskey_processor
REVOKE ALL ON SCHEMA public FROM public;
GRANT ALL ON SCHEMA public TO cdnskey_processor_rw;
GRANT CONNECT ON DATABASE cdnskey_processor TO cdnskey_processor_ro;
GRANT USAGE ON SCHEMA public TO cdnskey_processor_ro;
GRANT SELECT ON ALL TABLES IN SCHEMA public TO cdnskey_processor_ro;

CREATE EXTENSION btree_gist;
