/*
 * Copyright (C) 2024  CZ.NIC, z. s. p. o.
 *
 * This file is part of FRED.
 *
 * FRED is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FRED is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FRED.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef GRPC_SERVICE_REPORT_HH_3C66FB55EA920357C27FB42EED3B4F5A//date "+%s.%N"|md5sum|tr "[a-f]" "[A-F]"
#define GRPC_SERVICE_REPORT_HH_3C66FB55EA920357C27FB42EED3B4F5A

#include "src/cfg/api.hh"

#include "cdnskey_processor_api/service_report_grpc.grpc.pb.h"

#include <memory>

namespace CdnskeyProcessor {

using GrpcServiceReport = std::unique_ptr<Api::Report::Report::Service>;
GrpcServiceReport make_grpc_service_report(const Cfg::Api::Report& cfg);

} // namespace CdnskeyProcessor

#endif//GRPC_SERVICE_SUPERVISOR_HH_4030D9DC34A43B0D7DD259D7B404164E
