/*
 * Copyright (C) 2023-2024  CZ.NIC, z. s. p. o.
 *
 * This file is part of FRED.
 *
 * FRED is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FRED is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FRED.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef GRPC_SERVICE_SUPERVISOR_HH_4030D9DC34A43B0D7DD259D7B404164E
#define GRPC_SERVICE_SUPERVISOR_HH_4030D9DC34A43B0D7DD259D7B404164E

#include "src/cfg/api.hh"

#include "cdnskey_processor_api/service_supervisor_grpc.grpc.pb.h"

#include <memory>

namespace CdnskeyProcessor {

using GrpcServiceSupervisor = std::unique_ptr<Api::Supervisor::Supervisor::Service>;
GrpcServiceSupervisor make_grpc_service_supervisor(const Cfg::Api::Supervisor& cfg);

} // namespace CdnskeyProcessor

#endif//GRPC_SERVICE_SUPERVISOR_HH_4030D9DC34A43B0D7DD259D7B404164E
