/*
 * Copyright (C) 2021-2024  CZ.NIC, z. s. p. o.
 *
 * This file is part of FRED.
 *
 * FRED is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FRED is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FRED.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef __PAIR_SCAN_JOBS_WITH_SCAN_RESULTS__02C209DC36513AFD1CE3BB3BA2302949
#define __PAIR_SCAN_JOBS_WITH_SCAN_RESULTS__02C209DC36513AFD1CE3BB3BA2302949

#include "result_importer/scan_queue.hh"

#include <src/internal/scan_batch.hh>

namespace CdnskeyProcessor {
namespace Test {

std::vector<ScanResultCollection> pair_scan_jobs_with_scan_results(
        const UnprocessedScanBatches&, 
        ScanQueue&);

} // namespace CdnskeyProcessor::Test
} // namespace CdnskeyProcessor

#endif
